<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.37
Name: [4] Pielęgniarska skala oceny bólu
Description: Szablon CDA dla pielęgniarskiej skali oceny bólu
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000">
   <title>[4] Pielęgniarska skala oceny bólu</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]
Item: (plCdaNursingPainAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]"
         id="tmp-r-ebf9620a-d758-4f7e-b1cf-862bb8fbb1ac">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/@nullFlavor)">(plCdaNursingPainAssesmentEntry): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37'])&lt;=1">(plCdaNursingPainAssesmentEntry): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']
Item: (plCdaNursingPainAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']"
         id="tmp-r-23033572-5af9-4c80-a21c-0401d5dd57e5">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(plCdaNursingPainAssesmentEntry): Wartość dla @classCode MUSI wynosić 'OBS'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="string(@moodCode)='EVN'">(plCdaNursingPainAssesmentEntry): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaNursingPainAssesmentEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.37'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.37']/@nullFlavor)">(plCdaNursingPainAssesmentEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.37'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.37'])&lt;=1">(plCdaNursingPainAssesmentEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.37'] występuje zbyt często [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:code[@code='SBOLSZ']|hl7:code[@code='SBOLDT'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="$elmcount&gt;=1">(plCdaNursingPainAssesmentEntry): wybór (hl7:code[@code='SBOLSZ'] lub hl7:code[@code='SBOLDT']) zawiera zbyt mało elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="$elmcount&lt;=1">(plCdaNursingPainAssesmentEntry): wybór (hl7:code[@code='SBOLSZ'] lub hl7:code[@code='SBOLDT']) zawiera zbyt dużo elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="count(hl7:code[@code='SBOLSZ'])&lt;=1">(plCdaNursingPainAssesmentEntry): element hl7:code[@code='SBOLSZ'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="count(hl7:code[@code='SBOLDT'])&lt;=1">(plCdaNursingPainAssesmentEntry): element hl7:code[@code='SBOLDT'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(plCdaNursingPainAssesmentEntry): element hl7:text jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaNursingPainAssesmentEntry): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="count(hl7:statusCode)&lt;=1">(plCdaNursingPainAssesmentEntry): element hl7:statusCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaNursingPainAssesmentEntry): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(plCdaNursingPainAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(plCdaNursingPainAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.37']
Item: (plCdaNursingPainAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.37']"
         id="tmp-r-704dd844-2f45-4dea-8bb0-f14f16c8236a">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingPainAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.37'">(plCdaNursingPainAssesmentEntry): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.37'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:id
Item: (plCdaNursingPainAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:id"
         id="tmp-r-3ef9e51c-fa04-4f7f-8fce-19d991d8788c">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingPainAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:code[@code='SBOLSZ']
Item: (plCdaNursingPainAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:code[@code='SBOLSZ']"
         id="tmp-r-e5660bdf-30ae-4fca-bf3e-e81c7b35e5f9">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingPainAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="@nullFlavor or (@code='SBOLSZ' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2' and @displayName='Skala oceny bólu podczas pobytu w szpitalu/24h' and @codeSystemName='Słownik nazw skal ocen pielęgniarskich')">(plCdaNursingPainAssesmentEntry): Wartość elementu MUSI wynosić code 'SBOLSZ' codeSystem '2.16.840.1.113883.3.4424.13.5.2' displayName='Skala oceny bólu podczas pobytu w szpitalu/24h' codeSystemName='Słownik nazw skal ocen pielęgniarskich'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:code[@code='SBOLDT']
Item: (plCdaNursingPainAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:code[@code='SBOLDT']"
         id="tmp-r-89693814-cbd5-4e26-971d-8debb22f1958">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingPainAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="@nullFlavor or (@code='SBOLDT' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2' and @displayName='Skala oceny bólu w opiece długoterminowej' and @codeSystemName='Słownik nazw skal ocen pielęgniarskich')">(plCdaNursingPainAssesmentEntry): Wartość elementu MUSI wynosić code 'SBOLDT' codeSystem '2.16.840.1.113883.3.4424.13.5.2' displayName='Skala oceny bólu w opiece długoterminowej' codeSystemName='Słownik nazw skal ocen pielęgniarskich'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.3
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:text
Item: (plCdaClinicalStatementText)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:text"
         id="tmp-r-7f315afb-c263-4c10-8daf-044fc7e08f34">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaClinicalStatementText): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ED", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="ancestor::hl7:section/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55'] and hl7:reference">(plCdaClinicalStatementText): 
                    Nie może istnieć referencja do treści w sekcji postaci binarnej dokumentu
                </report>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="count(hl7:reference)&lt;=1">(plCdaClinicalStatementText): element hl7:reference występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.3
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:text/hl7:reference
Item: (plCdaClinicalStatementText)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:text/hl7:reference"
         id="tmp-r-0dd1d3c6-6e93-48db-965c-40fa50ea75bd">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaClinicalStatementText): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TEL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="@value">(plCdaClinicalStatementText): atrybut @value MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="not(@value) or string-length(@value)&gt;0">(plCdaClinicalStatementText): Atrybut @value MUSI być typu 'st'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="ancestor::hl7:section//*[@ID=substring(current()/@value,2)]">(plCdaClinicalStatementText): 
                        Referencja musi wskazywać na konkretny element tekstu sekcji o danym ID
                    </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:statusCode
Item: (plCdaNursingPainAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:statusCode"
         id="tmp-r-9cf50166-9bca-41fd-9d7f-1864c543edd8">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingPainAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="@nullFlavor or (@code='completed')">(plCdaNursingPainAssesmentEntry): Wartość elementu MUSI wynosić code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:effectiveTime
Item: (plCdaNursingPainAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:effectiveTime"
         id="tmp-r-a438f172-807c-4799-b53b-65e09f38ddda">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingPainAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (plCdaNursingPainAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-d0392b69-5816-4d39-9309-4613136c2c33">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingPainAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingPainAssesmentEntry): Wartość elementu MUSI wynosić WystepowanieBolu Występowanie bólu (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingPainAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości WystepowanieBolu Występowanie bólu (DYNAMICZNE)</assert>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(plCdaNursingPainAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="count(hl7:qualifier[hl7:name/@code='BOLSZ'])&lt;=1">(plCdaNursingPainAssesmentEntry): element hl7:qualifier[hl7:name/@code='BOLSZ'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="count(hl7:qualifier[hl7:name/@code='BOLDT'])&lt;=1">(plCdaNursingPainAssesmentEntry): element hl7:qualifier[hl7:name/@code='BOLDT'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="count(hl7:qualifier[hl7:name/@code='BOLINT'])&lt;=1">(plCdaNursingPainAssesmentEntry): element hl7:qualifier[hl7:name/@code='BOLINT'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="count(hl7:qualifier[hl7:name/@code='BOLINTDT'])&lt;=1">(plCdaNursingPainAssesmentEntry): element hl7:qualifier[hl7:name/@code='BOLINTDT'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/hl7:qualifier[hl7:name/@code='BOLSZ']
Item: (plCdaNursingPainAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/hl7:qualifier[hl7:name/@code='BOLSZ']"
         id="tmp-r-11acf742-6e91-4ae6-91a9-d84235732f0c">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="count(hl7:name[(@code='BOLSZ' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.4')])&gt;=1 and not(hl7:name[(@code='BOLSZ' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.4')]/@nullFlavor)">(plCdaNursingPainAssesmentEntry): element hl7:name[(@code='BOLSZ' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.4')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="count(hl7:name[(@code='BOLSZ' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.4')])&lt;=1">(plCdaNursingPainAssesmentEntry): element hl7:name[(@code='BOLSZ' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.4')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.63-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.63-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.63-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.63-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(plCdaNursingPainAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.63-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.63-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.63-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.63-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(plCdaNursingPainAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.63-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.63-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/hl7:qualifier[hl7:name/@code='BOLSZ']/hl7:name[(@code='BOLSZ' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.4')]
Item: (plCdaNursingPainAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/hl7:qualifier[hl7:name/@code='BOLSZ']/hl7:name[(@code='BOLSZ' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.4')]"
         id="tmp-r-47d5990e-02d3-4e0f-9cc4-275bc9cfb5b6">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="@nullFlavor or (@code='BOLSZ' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.4' and @displayName='Częstotliwość występowania bólu podczas hospitalizacji' and @codeSystemName='Słownik wartości dla częstotliwości występowania bólu w szpitalu')">(plCdaNursingPainAssesmentEntry): Wartość elementu MUSI wynosić code 'BOLSZ' codeSystem '2.16.840.1.113883.3.4424.13.5.3.4' displayName='Częstotliwość występowania bólu podczas hospitalizacji' codeSystemName='Słownik wartości dla częstotliwości występowania bólu w szpitalu'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/hl7:qualifier[hl7:name/@code='BOLSZ']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.63-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.63-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (plCdaNursingPainAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/hl7:qualifier[hl7:name/@code='BOLSZ']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.63-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.63-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-b6d4524d-dbe6-415e-bd60-73c6a0309c7a">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.63-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingPainAssesmentEntry): Wartość elementu MUSI wynosić CzestBoluSz Częstotliwość występowanie bólu podczas hospitalizacji (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.63-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingPainAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości CzestBoluSz Częstotliwość występowanie bólu podczas hospitalizacji (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/hl7:qualifier[hl7:name/@code='BOLDT']
Item: (plCdaNursingPainAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/hl7:qualifier[hl7:name/@code='BOLDT']"
         id="tmp-r-fae79520-eff0-4570-861c-eeecec43ebb9">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="count(hl7:name[(@code='BOLDT' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.5')])&gt;=1 and not(hl7:name[(@code='BOLDT' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.5')]/@nullFlavor)">(plCdaNursingPainAssesmentEntry): element hl7:name[(@code='BOLDT' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.5')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="count(hl7:name[(@code='BOLDT' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.5')])&lt;=1">(plCdaNursingPainAssesmentEntry): element hl7:name[(@code='BOLDT' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.5')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.62-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.62-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.62-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.62-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(plCdaNursingPainAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.62-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.62-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.62-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.62-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(plCdaNursingPainAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.62-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.62-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/hl7:qualifier[hl7:name/@code='BOLDT']/hl7:name[(@code='BOLDT' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.5')]
Item: (plCdaNursingPainAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/hl7:qualifier[hl7:name/@code='BOLDT']/hl7:name[(@code='BOLDT' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.5')]"
         id="tmp-r-2f7cb95f-6363-4607-8fb6-48926382ef3e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="@nullFlavor or (@code='BOLDT' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.5' and @displayName='Częstotliwość występowania bólu w opiece długoterminowej' and @codeSystemName='Słownik wartości dla częstotliwości występowania bólu w opiece długoterminowej')">(plCdaNursingPainAssesmentEntry): Wartość elementu MUSI wynosić code 'BOLDT' codeSystem '2.16.840.1.113883.3.4424.13.5.3.5' displayName='Częstotliwość występowania bólu w opiece długoterminowej' codeSystemName='Słownik wartości dla częstotliwości występowania bólu w opiece długoterminowej'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/hl7:qualifier[hl7:name/@code='BOLDT']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.62-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.62-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (plCdaNursingPainAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/hl7:qualifier[hl7:name/@code='BOLDT']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.62-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.62-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-b3d126eb-c5d9-44c0-9401-22dcf5a43766">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.62-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingPainAssesmentEntry): Wartość elementu MUSI wynosić CzestBoluDT Częstotliwość występowanie bólu w opiece długoterminowej (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.62-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingPainAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości CzestBoluDT Częstotliwość występowanie bólu w opiece długoterminowej (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/hl7:qualifier[hl7:name/@code='BOLINT']
Item: (plCdaNursingPainAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/hl7:qualifier[hl7:name/@code='BOLINT']"
         id="tmp-r-3942eb87-2a06-4315-b8d4-a8b618e0d0f1">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="count(hl7:name[(@code='BOLINT' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.6')])&gt;=1 and not(hl7:name[(@code='BOLINT' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.6')]/@nullFlavor)">(plCdaNursingPainAssesmentEntry): element hl7:name[(@code='BOLINT' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.6')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="count(hl7:name[(@code='BOLINT' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.6')])&lt;=1">(plCdaNursingPainAssesmentEntry): element hl7:name[(@code='BOLINT' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.6')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.54-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.54-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.54-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.54-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(plCdaNursingPainAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.54-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.54-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.54-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.54-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(plCdaNursingPainAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.54-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.54-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/hl7:qualifier[hl7:name/@code='BOLINT']/hl7:name[(@code='BOLINT' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.6')]
Item: (plCdaNursingPainAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/hl7:qualifier[hl7:name/@code='BOLINT']/hl7:name[(@code='BOLINT' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.6')]"
         id="tmp-r-70e3b85c-720e-4c68-b98a-4afa04580869">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="@nullFlavor or (@code='BOLINT' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.6' and @displayName='Intensywność bólu' and @codeSystemName='Słownik wartości dla intensywności bólu')">(plCdaNursingPainAssesmentEntry): Wartość elementu MUSI wynosić code 'BOLINT' codeSystem '2.16.840.1.113883.3.4424.13.5.3.6' displayName='Intensywność bólu' codeSystemName='Słownik wartości dla intensywności bólu'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/hl7:qualifier[hl7:name/@code='BOLINT']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.54-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.54-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (plCdaNursingPainAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/hl7:qualifier[hl7:name/@code='BOLINT']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.54-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.54-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-9bf3b48e-9efc-4eb1-a218-cff1a20c4b15">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.54-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingPainAssesmentEntry): Wartość elementu MUSI wynosić IntensywnoscBolu Intensywność bólu (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.54-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingPainAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości IntensywnoscBolu Intensywność bólu (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/hl7:qualifier[hl7:name/@code='BOLINTDT']
Item: (plCdaNursingPainAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/hl7:qualifier[hl7:name/@code='BOLINTDT']"
         id="tmp-r-6666cc8f-1cc7-4b06-acfa-a2f4acdbdbca">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="count(hl7:name[(@code='BOLINTDT' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.13')])&gt;=1 and not(hl7:name[(@code='BOLINTDT' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.13')]/@nullFlavor)">(plCdaNursingPainAssesmentEntry): element hl7:name[(@code='BOLINTDT' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.13')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="count(hl7:name[(@code='BOLINTDT' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.13')])&lt;=1">(plCdaNursingPainAssesmentEntry): element hl7:name[(@code='BOLINTDT' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.13')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.74-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.74-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.74-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.74-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(plCdaNursingPainAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.74-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.74-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.74-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.74-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(plCdaNursingPainAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.74-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.74-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/hl7:qualifier[hl7:name/@code='BOLINTDT']/hl7:name[(@code='BOLINTDT' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.13')]
Item: (plCdaNursingPainAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/hl7:qualifier[hl7:name/@code='BOLINTDT']/hl7:name[(@code='BOLINTDT' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.13')]"
         id="tmp-r-dbc3528c-dc8c-4ca6-a8ec-c61be12ab475">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="@nullFlavor or (@code='BOLINTDT' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.13' and @displayName='Intensywność bólu w opiece długoterminowej' and @codeSystemName='Słownik wartości dla intensywności bólu w opiece długoterminowej')">(plCdaNursingPainAssesmentEntry): Wartość elementu MUSI wynosić code 'BOLINTDT' codeSystem '2.16.840.1.113883.3.4424.13.5.3.13' displayName='Intensywność bólu w opiece długoterminowej' codeSystemName='Słownik wartości dla intensywności bólu w opiece długoterminowej'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/hl7:qualifier[hl7:name/@code='BOLINTDT']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.74-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.74-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (plCdaNursingPainAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.37']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.39-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/hl7:qualifier[hl7:name/@code='BOLINTDT']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.74-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.74-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-c94f654f-a370-4941-bb6a-cbc2c420a132">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.74-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingPainAssesmentEntry): Wartość elementu MUSI wynosić IntensywnoscBoluDT Intensywność bólu w opiece długoterminowej (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.74-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.37-2015-08-15T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingPainAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości IntensywnoscBoluDT Intensywność bólu w opiece długoterminowej (DYNAMICZNE)</assert>
   </rule>
</pattern>
